Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Class SchedulerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.quartz.SchedulerException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CriticalSchedulerException, JobExecutionException, JobPersistenceException, SchedulerConfigException, UnableToInterruptJobException

public class SchedulerException
extends Exception

Base class for exceptions thrown by the Quartz ``Scheduler``.

`SchedulerException` s may contain a reference to another `Exception`, which was the underlying cause of the `SchedulerException`.

Author:
  James House
See Also:
  Serialized Form

Field Summary
`static int` | `ERR_BAD_CONFIGURATION`
`static int` | `ERR_CLIENT_ERROR`
`static int` | `ERR_COMMUNICATION_FAILURE`
`static int` | `ERR_JOB_EXECUTION_THREW_EXCEPTION`
`static int` | `ERR_JOB_LISTENER`
`static int` | `ERR_JOB_LISTENER_NOT_FOUND`
`static int` | `ERR_PERSISTENCE`
`static int` | `ERR_PERSISTENCE_CALENDAR_DOES_NOT_EXIST`
`static int` | `ERR_PERSISTENCE_CRITICAL_FAILURE`
`static int` | `ERR_PERSISTENCE_JOB_DOES_NOT_EXIST`
`static int` | `ERR_PERSISTENCE_TRIGGER_DOES_NOT_EXIST`
`static int` | `ERR_THREAD_POOL`
`static int` | `ERR_THREAD_POOL_CRITICAL_FAILURE`
`static int` | `ERR_THREAD_POOL_EXHAUSTED`
`static int` | `ERR_TIME_BROKER_FAILURE`
`static int` | `ERR_TRIGGER_LISTENER`
`static int` | `ERR_TRIGGER_LISTENER_NOT_FOUND`
`static int` | `ERR_TRIGGER_THREW_EXCEPTION`
`static int` | `ERR_UNSPECIFIED`
`static int` | `ERR_UNSUPPORTED_FUNCTION_IN_THIS_CONFIGURATION`

Constructor Summary
`SchedulerException()`
`SchedulerException(Exception cause)`
`SchedulerException(String msg)`
`SchedulerException(String msg, Exception cause)`
`SchedulerException(String msg, Exception cause, int errorCode)`
`SchedulerException(String msg, int errorCode)`

Method Summary
`int` | `getErrorCode()` Get the error code associated with this exception.
`Throwable` | `getUnderlyingException()` Return the exception that is the underlying cause of this exception.
`boolean` | `isClientError()` Determine if the specified error code is in the `'ERR_CLIENT_ERROR'` category of errors.
`boolean` | `isConfigurationError()` Determine if the specified error code is in the `'ERR_CLIENT_ERROR'` category of errors.
`boolean` | `isJobListenerError()` Determine if the specified error code is in the `'ERR_JOB_LISTENER'` category of errors.
`boolean` | `isPersistenceError()` Determine if the specified error code is in the `'ERR_PERSISTENCE'` category of errors.
`boolean` | `isThreadPoolError()` Determine if the specified error code is in the `'ERR_THREAD_POOL'` category of errors.
`boolean` | `isTriggerListenerError()` Determine if the specified error code is in the `'ERR_TRIGGER_LISTENER'` category of errors.
`void` | `printStackTrace()` Print a stack trace to the standard error stream.
`void` | `printStackTrace(PrintStream out)` Print a stack trace to the specified stream.
`void` | `printStackTrace(PrintWriter out)` Print a stack trace to the specified writer.
`void` | `setErrorCode(int errorCode)` Get the error code associated with this exception.
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERR_UNSPECIFIED

    public static final int ERR_UNSPECIFIED

See Also:
  Constant Field Values

### ERR_BAD_CONFIGURATION

    public static final int ERR_BAD_CONFIGURATION

See Also:
  Constant Field Values

### ERR_TIME_BROKER_FAILURE

    public static final int ERR_TIME_BROKER_FAILURE

See Also:
  Constant Field Values

### ERR_CLIENT_ERROR

    public static final int ERR_CLIENT_ERROR

See Also:
  Constant Field Values

### ERR_COMMUNICATION_FAILURE

    public static final int ERR_COMMUNICATION_FAILURE

See Also:
  Constant Field Values

### ERR_UNSUPPORTED_FUNCTION_IN_THIS_CONFIGURATION

    public static final int ERR_UNSUPPORTED_FUNCTION_IN_THIS_CONFIGURATION

See Also:
  Constant Field Values

### ERR_PERSISTENCE

    public static final int ERR_PERSISTENCE

See Also:
  Constant Field Values

### ERR_PERSISTENCE_JOB_DOES_NOT_EXIST

    public static final int ERR_PERSISTENCE_JOB_DOES_NOT_EXIST

See Also:
  Constant Field Values

### ERR_PERSISTENCE_CALENDAR_DOES_NOT_EXIST

    public static final int ERR_PERSISTENCE_CALENDAR_DOES_NOT_EXIST

See Also:
  Constant Field Values

### ERR_PERSISTENCE_TRIGGER_DOES_NOT_EXIST

    public static final int ERR_PERSISTENCE_TRIGGER_DOES_NOT_EXIST

See Also:
  Constant Field Values

### ERR_PERSISTENCE_CRITICAL_FAILURE

    public static final int ERR_PERSISTENCE_CRITICAL_FAILURE

See Also:
  Constant Field Values

### ERR_THREAD_POOL

    public static final int ERR_THREAD_POOL

See Also:
  Constant Field Values

### ERR_THREAD_POOL_EXHAUSTED

    public static final int ERR_THREAD_POOL_EXHAUSTED

See Also:
  Constant Field Values

### ERR_THREAD_POOL_CRITICAL_FAILURE

    public static final int ERR_THREAD_POOL_CRITICAL_FAILURE

See Also:
  Constant Field Values

### ERR_JOB_LISTENER

    public static final int ERR_JOB_LISTENER

See Also:
  Constant Field Values

### ERR_JOB_LISTENER_NOT_FOUND

    public static final int ERR_JOB_LISTENER_NOT_FOUND

See Also:
  Constant Field Values

### ERR_TRIGGER_LISTENER

    public static final int ERR_TRIGGER_LISTENER

See Also:
  Constant Field Values

### ERR_TRIGGER_LISTENER_NOT_FOUND

    public static final int ERR_TRIGGER_LISTENER_NOT_FOUND

See Also:
  Constant Field Values

### ERR_JOB_EXECUTION_THREW_EXCEPTION

    public static final int ERR_JOB_EXECUTION_THREW_EXCEPTION

See Also:
  Constant Field Values

### ERR_TRIGGER_THREW_EXCEPTION

    public static final int ERR_TRIGGER_THREW_EXCEPTION

See Also:
  Constant Field Values

Constructor Detail

### SchedulerException

    public SchedulerException()

### SchedulerException

    public SchedulerException(String msg)

### SchedulerException

    public SchedulerException(String msg,
                              int errorCode)

### SchedulerException

    public SchedulerException(Exception cause)

### SchedulerException

    public SchedulerException(String msg,
                              Exception cause)

### SchedulerException

    public SchedulerException(String msg,
                              Exception cause,
                              int errorCode)

Method Detail

### getUnderlyingException

    public Throwable getUnderlyingException()

  Return the exception that is the underlying cause of this exception.

  This may be used to find more detail about the cause of the error.

  Returns:
    the underlying exception, or `null` if there is not one.

### getErrorCode

    public int getErrorCode()

  Get the error code associated with this exception.

  This may be used to find more detail about the cause of the error.

  Returns:
    one of the ERR_XXX constants defined in this class.

### setErrorCode

    public void setErrorCode(int errorCode)

  Get the error code associated with this exception.

  This may be used to provide more detail about the cause of the error.

  Parameters:
    `errorCode` - one of the ERR_XXX constants defined in this class.

### isPersistenceError

    public boolean isPersistenceError()

  Determine if the specified error code is in the `'ERR_PERSISTENCE'` category of errors.

### isThreadPoolError

    public boolean isThreadPoolError()

  Determine if the specified error code is in the `'ERR_THREAD_POOL'` category of errors.

### isJobListenerError

    public boolean isJobListenerError()

  Determine if the specified error code is in the `'ERR_JOB_LISTENER'` category of errors.

### isTriggerListenerError

    public boolean isTriggerListenerError()

  Determine if the specified error code is in the `'ERR_TRIGGER_LISTENER'` category of errors.

### isClientError

    public boolean isClientError()

  Determine if the specified error code is in the `'ERR_CLIENT_ERROR'` category of errors.

### isConfigurationError

    public boolean isConfigurationError()

  Determine if the specified error code is in the `'ERR_CLIENT_ERROR'` category of errors.

### toString

    public String toString()

### printStackTrace

    public void printStackTrace()

  Print a stack trace to the standard error stream.

  This overridden version will print the nested stack trace if available, otherwise it prints only this exception's stack.

### printStackTrace

    public void printStackTrace(PrintStream out)

  Print a stack trace to the specified stream.

  This overridden version will print the nested stack trace if available, otherwise it prints only this exception's stack.

  Parameters:
    `out` - the stream to which the stack traces will be printed.

### printStackTrace

    public void printStackTrace(PrintWriter out)

  Print a stack trace to the specified writer.

  This overridden version will print the nested stack trace if available, otherwise it prints this exception's stack.

  Parameters:
    `out` - the writer to which the stack traces will be printed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD